### experimental::use_coro_t::executor_with_default

Adapts an executor to add the `use_coro_t` completion token as the default.

    template<
        typename InnerExecutor>
    struct executor_with_default

##### Types

Name | Description
--- | ---
default_completion_token_type | Specify use_coro_t as the default completion token type.

##### Member Functions

Name | Description
--- | ---
executor_with_default [constructor] | Construct the adapted executor from the inner executor type.

##### Requirements

Header: `asio/experimental/use_coro.hpp`

Convenience header: None